/**
Very simple HTTP client program.

Orion Sky Lawlor, olawlor@acm.org, 2005/2/8 (Public Domain)
*/
#include <stdio.h>
#include <iostream>
#include "osl/socket.h"
#include "osl/socket.cpp" /* include body for easy linking */

int main(int argc,char *argv[])
{
	skt_ip_t ip=skt_lookup_ip("lawlor.cs.uaf.edu");
	printf("About to connect\n");
	SOCKET s=skt_connect(ip,80,60); 
	printf("Finally got past connect\n");
	
	/* Send HTTP request */
	const char *str="GET /index.html HTTP/1.1\r\n"
		"Host: lawlor.cs.uaf.edu\r\n"
		"\r\n";
	skt_sendN(s,str,strlen(str)); 
	
	/* Receive HTTP response (FIXME: parse out Content-Length field) */
	char c;
	while (1) {
		skt_recvN(s,&c,1);
		std::cout<<c;
	}
	
	skt_close(s); 
	return 0;
}
